curl --location --request POST 'https://api.inboxkit.com/v1/api/mailboxes/buy' \
--header 'X-Workspace-Id;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"use_wallet_balance": true,
"mailboxes": [
{
"first_name": "John",
"last_name": "Doe",
"profile_picture": "string",
"username": "john.doe",
"platform": "GOOGLE",
"domain_name": "string"
}
]
}'{
"error": false,
"message": "Mailbox scheduled to be assigned to domains successfully",
"mailboxes": [
{
"uid": "string",
"domain_name": "string",
"first_name": "string",
"last_name": "string",
"username": "string",
"platform": "string",
"status": "string",
"renewal_date": "2019-08-24T14:15:22.123Z",
"renewal_cycle": "string",
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
}
],
"coupon_applied": {
"code": "string",
"discount": 0,
"original_cost": 0,
"final_cost": 0
}
}